Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.intercept
Class Interceptor

    java.lang.Object
      org.jboss.seam.util.Reflections
          org.jboss.seam.intercept.Interceptor

    public final class Interceptor

extends Reflections

Wraps and delegates to a Seam interceptor.

Author:
  Gavin King

Constructor Summary
`Interceptor(Class[] classes, Annotation annotation, Component component)`
`Interceptor(Object interceptor, Component component)`

Method Summary
`Object` | `aroundInvoke(InvocationContext invocation, Object userInterceptor)`
`Object` | `createUserInterceptor()`
`InterceptorType` | `getType()`
`Class` | `getUserInterceptorClass()`
`boolean` | `isOptimized()`
`Object` | `postActivate(InvocationContext invocation, Object userInterceptor)`
`Object` | `postConstruct(InvocationContext invocation, Object userInterceptor)`
`Object` | `preDestroy(InvocationContext invocation, Object userInterceptor)`
`Object` | `prePassivate(InvocationContext invocation, Object userInterceptor)`
`String` | `toString()`

Methods inherited from class org.jboss.seam.util.Reflections
`classForName, get, getAndWrap, getCollectionElementType, getField, getFields, getGetterMethod, getGetterMethods, getMapKeyType, getMethod, getSetterMethod, invoke, invokeAndWrap, set, setAndWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Interceptor

    public Interceptor(Object interceptor,
                       Component component)

### Interceptor

    public Interceptor(Class[] classes,
                       Annotation annotation,
                       Component component)

Method Detail

### createUserInterceptor

    public Object createUserInterceptor()

### getUserInterceptorClass

    public Class getUserInterceptorClass()

### getType

    public InterceptorType getType()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isOptimized

    public boolean isOptimized()

### aroundInvoke

    public Object aroundInvoke(InvocationContext invocation,
                               Object userInterceptor)
                        throws Exception

  Throws:
    `Exception`

### postConstruct

    public Object postConstruct(InvocationContext invocation,
                                Object userInterceptor)
                         throws Exception

  Throws:
    `Exception`

### preDestroy

    public Object preDestroy(InvocationContext invocation,
                             Object userInterceptor)
                      throws Exception

  Throws:
    `Exception`

### prePassivate

    public Object prePassivate(InvocationContext invocation,
                               Object userInterceptor)
                        throws Exception

  Throws:
    `Exception`

### postActivate

    public Object postActivate(InvocationContext invocation,
                               Object userInterceptor)
                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD